Download it now!
Bug 101671 - Menu background color shouldnt be used for coloring UI
Summary: Menu background color shouldnt be used for coloring UI
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: UI-Theming
  Show dependency treegraph
 
Reported: 2016-08-22 16:33 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-01-05 14:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
various UI affected by this bug (88.33 KB, image/png)
2016-08-22 16:33 UTC, Yousuf Philips (jay) (retired)
Details
menu color found in toolbar widgets (46.39 KB, image/png)
2016-09-24 01:09 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-08-22 16:33:06 UTC
Created attachment 126967 [details]
various UI affected by this bug

LibreOffice is incorrectly using the menu background color to fill various parts of the UI as can be seen in the attached image and this cause problems with many gtk2 themes and possibly gtk3 themes.

This was previously reported in launchpad when it showed up in Ubuntu Mate - https://bugs.launchpad.net/ubuntu-mate/+bug/1550990

This bug showed up previously in the sidebar and was fixed like so - https://gerrit.libreoffice.org/#/c/28048/2/svx/source/sidebar/shapes/DefaultShapesPanel.cxx
Comment 1 Buovjaga 2016-09-20 19:26:20 UTC
Let's set to NEW as it was already confirmed in Launchpad.
Comment 2 Yousuf Philips (jay) (retired) 2016-09-24 01:09:36 UTC
Created attachment 127593 [details]
menu color found in toolbar widgets

Some additional places this issue shows up is in the toolbar split buttons, where it incorrectly uses the menu color for the popup background color or incorrectly uses it for the popup border color.
Comment 3 Maxim Monastirsky 2016-09-27 18:56:39 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> Some additional places this issue shows up is in the toolbar split buttons,
> where it incorrectly uses the menu color for the popup background color
The control used for the bullets dropdown is ToolbarMenu which tries to emulate a menu to some degree, that's why it uses menu background. It also uses menu highlight color when you hover the "More Bullets..." item. This control is also used for the dropdowns of the Extrusion toolbar, which are more menu-like. If we about to consider different background color for it, I think we should also consider the highlight color. Or alternatively leave it as is, and use something different as a base for the bullets dropdown.

> or incorrectly uses it for the popup border color.
Not directly. We use shadow color there, but for the gtk backend we base the shadow color on the menu color in some cases. There is even a comment in the code, which tries to explain why we do this. Please take a look here:

http://opengrok.libreoffice.org/xref/core/vcl/unx/gtk/salnativewidgets-gtk.cxx#4040
Comment 4 QA Administrators 2017-10-23 14:13:53 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 13:51:41 UTC Comment hidden (obsolete)
Comment 6 Heiko Tietze 2021-01-05 14:18:23 UTC
Let's resolve this ticket as INVALID. We fixed color issues at some places but there are maybe other. This ticket is too generic.